---
title: Compatibility
description: Foundation for Emails is battle-tested in the trickiest email clients, like Microsoft Outlook.
---

Foundation for Emails is designed for and tested on numerous email clients and devices. Here's the rundown on what type of compatibility to expect in general. Because email clients have varying CSS support and specific quirks, each individual component will have more information on compatibility.

<table class="comparison-table">
  <thead>
    <tr>
      <td>Email Client/Device</td>
      <td class="marker">Compatibility</td>
    </tr>
  </thead>
  <tr>
    <td class="divider"><strong>Apple Mail:</strong></td>
    <td class="divider"></td>
  </tr>
  <tr>
    <td>Apple Mail 7</td>
    <td class="marker yes">&check;</td>
  </tr>
  <tr>
    <td>Apple Mail 8</td>
    <td class="marker yes">&check;</td>
  </tr>
  <tr>
    <td class="divider"><strong>Outlook:</strong></td>
    <td class="divider"></td>
  </tr>
  <tr>
    <td>Outlook 2000</td>
    <td class="marker yes">&check;</td>
  </tr>
  <tr>
    <td>Outlook 2002</td>
    <td class="marker yes">&check;</td>
  </tr>
  <tr>
    <td>Outlook 2003</td>
    <td class="marker yes">&check;</td>
  </tr>
  <tr>
    <td>Outlook 2007</td>
    <td class="marker yes">&check;</td>
  </tr>
  <tr>
    <td>Outlook 2010</td>
    <td class="marker yes">&check;</td>
  </tr>
  <tr>
    <td>Outlook 2011</td>
    <td class="marker yes">&check;</td>     
  </tr>
  <tr>
    <td>Outlook 2013</td>
    <td class="marker yes">&check;</td>
  </tr>
  <tr>
    <td>Outlook 2016</td>
    <td class="marker yes">&check;</td>
  </tr>
  <tr>
    <td class="divider"><strong>Mobile:</strong></td>
    <td class="divider"></td>
  </tr>
  <tr>
    <td>Android 4.4</td>
    <td class="marker yes">&check;</td>
  </tr>
  <tr>
    <td>Gmail app for Android</td>
    <td class="marker mostly">&check; *</td>
  </tr>
  <tr>
    <td>iPhone 5</td>
    <td class="marker yes">&check;</td>
  </tr>
  <tr>
    <td>iPhone 6</td>
    <td class="marker yes">&check;</td>
  </tr>
  <tr>
    <td>iPad</td>
    <td class="marker yes">&check;</td>
  </tr>
  <tr>
    <td>iPad Mini</td>
    <td class="marker yes">&check;</td>
  </tr>
  <tr>
    <td class="divider"><strong>Gmail:</strong></td>
    <td class="divider"></td>
  </tr>
  <tr>
    <td>In Internet Explorer</td>
    <td class="marker yes">&check;</td>
  </tr>
  <tr>
    <td>In Firefox</td>
    <td class="marker yes">&check;</td>
  </tr>
  <tr>
    <td>In Chrome</td>
    <td class="marker yes">&check;</td>
  </tr>
    <tr>
    <td class="divider"><strong>Google Apps:</strong></td>
    <td class="divider"></td>
  </tr>
  <tr>
    <td>In Internet Explorer</td>
    <td class="marker yes">&check;</td>
  </tr>
  <tr>
    <td>In Firefox</td>
    <td class="marker yes">&check;</td>
  </tr>
  <tr>
    <td>In Chrome</td>
    <td class="marker yes">&check;</td>
  </tr>
  <tr>
    <td class="divider"><strong>Office 365:</strong></td>
    <td class="divider"></td>
  </tr>
  <tr>
    <td>In Internet Explorer</td>
    <td class="marker yes">&check;</td>
  </tr>
  <tr>
    <td>In Firefox</td>
    <td class="marker yes">&check;</td>
  </tr>
  <tr>
    <td>In Chrome</td>
    <td class="marker yes">&check;</td>
  </tr>
  <tr>
    <td class="divider"><strong>Outlook.com:</strong></td>
    <td class="divider"></td>
  </tr>
  <tr>
    <td>In Internet Explorer</td>
    <td class="marker yes">&check;</td>
  </tr>
  <tr>
    <td>In Firefox</td>
    <td class="marker yes">&check;</td>
  </tr>
  <tr>
    <td>In Chrome</td>
    <td class="marker yes">&check;</td>
  </tr>
  <tr>
    <td class="divider"><strong>Yahoo! Mail:</strong></td>
    <td class="divider"></td>
  </tr>
  <tr>
    <td>In Internet Explorer</td>
    <td class="marker yes">&check;</td>
  </tr>
  <tr>
    <td>In Firefox</td>
    <td class="marker yes">&check;</td>
  </tr>
  <tr>
    <td>In Chrome</td>
    <td class="marker yes">&check;</td>
  </tr>
</table>

 ** *Gmail app for Android:** Works - does not recognize media queries so it will render large breakpoint.
